Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2java
Class ClassField

    java.lang.Object
      |
      +--com.jxml.quick.util.qjml2java.ClassField

public class ClassField
extends Object

This class represents a field or a property in a Java class.

Field Summary
`boolean` | `abst`
`boolean` | `attribute`
`String` | `childClass`
`String` | `childName`
`boolean` | `childNewClass`
`ArrayList` | `children`
`String` | `classpath`
`String` | `comment`
`String` | `defaultValue`
`boolean` | `hasAClass`
`String` | `initializer`
`String` | `name`
`boolean` | `newClass`
`boolean` | `optional`
`boolean` | `property`
`boolean` | `read`
`String` | `tagName`
`boolean` | `typedList`
`boolean` | `write`
`ArrayList` | `xchildren`

Constructor Summary
`ClassField()`
`ClassField(String name, String classpath, boolean property, boolean newClass, boolean hasAClass, String comment, String tagName, boolean attribute, boolean optional, String defaultValue, boolean typedList, String childClass, boolean childNewClass, String childName, ArrayList children, ArrayList xchildren)`
`ClassField(String name, String classpath, boolean property, String initializer, boolean abst, boolean read, boolean write)`

Method Summary
`static void` | `addNewField(ArrayList v, ClassField f)`
`protected String` | `childClass(int i)`
`protected String` | `childTag(int i)`
`String` | `getGetName()`
`static String` | `getGetName(Element el)`
`static String` | `getGetName(String childClass, String childName, boolean childNewClass, String fieldname)`
`void` | `printClone(PrintWriter pw, String newobjname)`
`void` | `printComment(PrintWriter pw, String comment)`
`void` | `printDeclaration(PrintWriter pw)`
`void` | `printgetAllXChildren(PrintWriter pw)`
`void` | `printgetXAttribute(PrintWriter pw)`
`void` | `printgetXChildren(PrintWriter pw)`
`void` | `printMethod(PrintWriter pw, boolean intf)`
`void` | `printMoreMethods(PrintWriter pw, boolean intf)`
`void` | `printPrint(PrintWriter pw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### classpath

    public String classpath

### property

    public boolean property

### newClass

    public boolean newClass

### hasAClass

    public boolean hasAClass

### comment

    public String comment

### tagName

    public String tagName

### attribute

    public boolean attribute

### optional

    public boolean optional

### defaultValue

    public String defaultValue

### initializer

    public String initializer

### abst

    public boolean abst

### read

    public boolean read

### write

    public boolean write

### typedList

    public boolean typedList

### childClass

    public String childClass

### childNewClass

    public boolean childNewClass

### childName

    public String childName

### children

    public ArrayList children

### xchildren

    public ArrayList xchildren

Constructor Detail

### ClassField

    public ClassField()

### ClassField

    public ClassField(String name,
                      String classpath,
                      boolean property,
                      String initializer,
                      boolean abst,
                      boolean read,
                      boolean write)

### ClassField

    public ClassField(String name,
                      String classpath,
                      boolean property,
                      boolean newClass,
                      boolean hasAClass,
                      String comment,
                      String tagName,
                      boolean attribute,
                      boolean optional,
                      String defaultValue,
                      boolean typedList,
                      String childClass,
                      boolean childNewClass,
                      String childName,
                      ArrayList children,
                      ArrayList xchildren)

Method Detail

### addNewField

    public static void addNewField(ArrayList v,
                                   ClassField f)

### printComment

    public void printComment(PrintWriter pw,
                             String comment)

### printDeclaration

    public void printDeclaration(PrintWriter pw)

### getGetName

    public static String getGetName(String childClass,
                                    String childName,
                                    boolean childNewClass,
                                    String fieldname)

### getGetName

    public String getGetName()

### getGetName

    public static String getGetName(Element el)

### printMethod

    public void printMethod(PrintWriter pw,
                            boolean intf)

### printMoreMethods

    public void printMoreMethods(PrintWriter pw,
                                 boolean intf)

### printClone

    public void printClone(PrintWriter pw,
                           String newobjname)

### printPrint

    public void printPrint(PrintWriter pw)

### childTag

    protected String childTag(int i)

### childClass

    protected String childClass(int i)

### printgetXChildren

    public void printgetXChildren(PrintWriter pw)

### printgetXAttribute

    public void printgetXAttribute(PrintWriter pw)

### printgetAllXChildren

    public void printgetAllXChildren(PrintWriter pw)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD